package com.jeeplus.test.reimbursementAssess.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.test.reimbursementAssess.domain.dto.AssessReimbursementBusinessDTO;
import com.jeeplus.test.reimbursementAssess.domain.dto.AssessReimbursementBusinessReturnDTO;
import com.jeeplus.test.reimbursementAssess.domain.dto.AssessReimbursementDTO;
import com.jeeplus.test.reimbursementAssess.domain.dto.AssessReimbursementUserDTO;

import java.util.List;
import java.util.Map;

/**
 * @author li-peike
 * @version 1.0.0
 * @ClassName ReimbursementSysService.java
 * @Description TODO
 * @createTime 2022年05月06日 10:25:00
 */

public interface AssessReimbursementBusinessService {
    /**
     * 查询报销人员信息
     * @param id
     * @return
     */
    AssessReimbursementBusinessDTO queryById(String id);
    /**
     * 查询业务报销额度相关信息
     * @param id
     * @return
     */
    AssessReimbursementDTO getBusinessById(String id);
    /**
     * 查询报销信息(根据人员id和年份)
     * @param reimbursementUser
     * @return
     */
    AssessReimbursementUserDTO queryByUserIdAndYear(AssessReimbursementBusinessDTO reimbursementUser);

    /**
     * 查询列表信息
     * @param page
     * @param reimbursementUser
     * @return
     */
    IPage<AssessReimbursementUserDTO> findList(Page<AssessReimbursementUserDTO> page, AssessReimbursementUserDTO reimbursementUser);

    /**
     * 根据人员信息查询报销年份信息
     * @param page
     * @param reimbursementUser
     * @return
     */
    IPage<AssessReimbursementUserDTO> getYearList(Page<AssessReimbursementUserDTO> page, AssessReimbursementUserDTO reimbursementUser);

    /**
     * 保存报销数据信息
     * @param reimbursementUser
     */
    Map<String,Object> save(AssessReimbursementBusinessDTO reimbursementUser);

    /**
     * 修改报销人员信息
     * @param reimbursementUser
     */
    void update(AssessReimbursementBusinessDTO reimbursementUser);

    /**
     * 根据id删除人员报销信息（物理删除）
     * @param idList
     */
    void delete(List<String> idList);

    /**
     * 查询列表信息
     * @param reimbursementBusiness
     * @return
     */
    AssessReimbursementBusinessReturnDTO findListByBusinessCodeId(AssessReimbursementBusinessDTO reimbursementBusiness);
}
